
Redmine - Feature #18631

Better search results pagination

2014-12-12 21:43 - Jean-Philippe Lang

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Search engine Estimated time: 0.00 hour

Target version: 3.0.0   

Resolution: Fixed   

Description

Current pagination is based on results timestamps which leads to several problems. The most important being that some results with

same timestamps may not be displayed.

Related issues:

Related to Redmine - Feature #9776: Adde link(s) to first(last) page for sear... Closed

Related to Redmine - Defect #6817: Identical creation date/time skew search r... Closed 2010-11-03

Related to Redmine - Feature #17889: Searches should be twice faster New

Related to Redmine - Defect #16239: Search does not return all the results Closed

Associated revisions

Revision 13739 - 2014-12-12 21:49 - Jean-Philippe Lang

Rewrites search engine to properly paginate results (#18631).

Instead of counting and retrieving results based on their timestamps, we now load all result ids then load the appropriate results by their ids. This also

brings a 2x performance improvement as we search tokens in one of the 2 queries only.

Revision 13769 - 2014-12-20 09:10 - Jean-Philippe Lang

Moved search logic to Redmine::Search (#18631).

Revision 13770 - 2014-12-20 10:33 - Jean-Philippe Lang

Cache search result ids for faster search pagination (#18631).

History

#1 - 2014-12-12 21:55 - Jean-Philippe Lang

- Related to Feature #9776: Adde link(s) to first(last) page for search reult. added

#2 - 2014-12-12 21:55 - Jean-Philippe Lang

- Related to Defect #6817: Identical creation date/time skew search results added

#3 - 2014-12-12 21:55 - Jean-Philippe Lang

- Related to Feature #17889: Searches should be twice faster added

#4 - 2014-12-12 21:56 - Jean-Philippe Lang

- Related to Defect #16888: Search fails for issues with identical created_on timestamp added

#5 - 2014-12-12 21:56 - Jean-Philippe Lang

- Related to Defect #16239: Search does not return all the results added

#6 - 2014-12-12 21:57 - Jean-Philippe Lang

- Related to deleted (Defect #16888: Search fails for issues with identical created_on timestamp)

#7 - 2015-01-10 11:30 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Fixed
